|  | Contents | Index
Codec.Encryption.NumberTheory
Synopsis
inverse :: Integer -> Integer -> Integer
extEuclGcd :: Integer -> Integer -> (Integer, Integer)
simplePrimalityTest :: Integer -> Bool
getPrime :: Int -> IO Integer
pg :: Integer -> Integer -> Integer -> IO Integer
isPrime :: Integer -> IO Bool
rabinMillerPrimalityTest :: Integer -> IO Bool
expmod :: Integer -> Integer -> Integer -> Integer
testInverse :: Integer -> Integer -> Bool
primes :: [Integer]
(/|) :: Integer -> Integer -> Bool
randomOctet :: Int -> IO String
Produced by Haddock version 0.6